Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.persistence.memory
Class DeferredEventTypePersistenceImpl

    java.lang.Object
      net.sf.dropboxmq.workflow.persistence.memory.DeferredEventTypePersistenceImpl

All Implemented Interfaces:
  DeferredEventTypePersistence

    public class DeferredEventTypePersistenceImpl

extends Object
implements DeferredEventTypePersistence

Created: 31 Aug 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz

Constructor Summary
`DeferredEventTypePersistenceImpl(StatePersistenceImpl statePersistence, EventTypePersistenceImpl eventTypePersistence)`

Method Summary
`void` | `deleteDeferredEventTypes(int stateId)`
`(package private) Set<Integer>` | `getExistingDeferredEventTypesByStateId(int stateId)`
`boolean` | `isEventTypeDeferred(int stateId, int eventTypeId)`
`void` | `storeDeferredEventType(DeferredEventType deferredEventType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeferredEventTypePersistenceImpl

    public DeferredEventTypePersistenceImpl(StatePersistenceImpl statePersistence,
                                            EventTypePersistenceImpl eventTypePersistence)

Method Detail

### storeDeferredEventType

    public void storeDeferredEventType(DeferredEventType deferredEventType)

  Specified by:
    `storeDeferredEventType` in interface `DeferredEventTypePersistence`

### isEventTypeDeferred

    public boolean isEventTypeDeferred(int stateId,
                                       int eventTypeId)

  Specified by:
    `isEventTypeDeferred` in interface `DeferredEventTypePersistence`

### deleteDeferredEventTypes

    public void deleteDeferredEventTypes(int stateId)

  Specified by:
    `deleteDeferredEventTypes` in interface `DeferredEventTypePersistence`

### getExistingDeferredEventTypesByStateId

    Set<Integer> getExistingDeferredEventTypesByStateId(int stateId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD